CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties
CommandMessenger.Escaping Class Reference

Utility class providing escaping functions. More...

List of all members.

## Static Public Member Functions
static void | EscapeChars (char fieldSeparator, char commandSeparator, char escapeCharacter)
| Sets custom escape characters.
static string | Remove (string input, char removeChar, char escapeChar)
| Removes all occurences of a specific character unless escaped.
static String[] | Split (string input, char separator, char escapeCharacter, StringSplitOptions stringSplitOptions)
| Splits.
static string | Escape (string input)
| Escapes the input string.
static string | Unescape (string input)
| Unescapes the input string.
## Properties
static char | EscapeCharacter`[get]`
| Gets the escape character.

## Detailed Description

Utility class providing escaping functions.

## Member Function Documentation

static string CommandMessenger.Escaping.Escape | ( | string | input | ) | `[static]`

Escapes the input string.

Parameters:

  input | The unescaped input string.

Returns:
  Escaped output string.

static void CommandMessenger.Escaping.EscapeChars | ( | char | fieldSeparator,
|  | char | commandSeparator,
|  | char | escapeCharacter
| ) |  | `[static]`

Sets custom escape characters.

Parameters:

  fieldSeparator | The field separator.
  commandSeparator | The command separator.
  escapeCharacter | The escape character.

static string CommandMessenger.Escaping.Remove | ( | string | input,
|  | char | removeChar,
|  | char | escapeChar
| ) |  | `[static]`

Removes all occurences of a specific character unless escaped.

Parameters:

  input | The input.
  removeChar | The character to remove.
  escapeChar | The escape character.

Returns:
  The string with all removeChars removed.

static String [] CommandMessenger.Escaping.Split | ( | string | input,
|  | char | separator,
|  | char | escapeCharacter,
|  | StringSplitOptions | stringSplitOptions
| ) |  | `[static]`

Splits.

Parameters:

  input | The input.
  separator | The separator.
  escapeCharacter | The escape character.
  stringSplitOptions | Options for controlling the string split.

Returns:
  The split string.

static string CommandMessenger.Escaping.Unescape | ( | string | input | ) | `[static]`

Unescapes the input string.

Parameters:

  input | The escaped input string.

Returns:
  The unescaped output string.

## Property Documentation

char CommandMessenger.Escaping.EscapeCharacter`[static, get]`

Gets the escape character.

The escape character.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Escaped.cs